|  | Home | Documentation | Plugins and plugin registry functions updated by Robert van Engelen |

Plugins and plugin registry functions

This module describes plugin registry functions to register plugins. More...

## Functions

int | soap_register_plugin (struct soap *soap, int(*fcreate)(struct soap *, struct soap_plugin *, void *))
| Register a plugin.
int | soap_register_plugin_arg (struct soap *soap, int(*fcreate)(struct soap *, struct soap_plugin *, void *), void *arg)
| Register a plugin with an argument.

## Detailed Description

This module describes plugin registry functions to register plugins.

Available plugins:

- logging plugin
- http_get HTTP GET plugin
- http_post HTTP POST plugin
- http_form HTTP FORM plugin
- HTTP streams plugin
- HTTP digest authentication plugin
- HTTP sessions plugin
- CURL plugin
- WinInet plugin
- WS-Security plugin
- WS-Addressing plugin
- WS-ReliableMessaging plugin
- WS-Discovery plugin

Modules and extensions:

- ISAPI extension
- Apache module

Threads and mutex:

- Thread and mutex functions

Other:

- XML DOM
- XML-RPC and JSON

## Function Documentation

## ◆ soap_register_plugin()

int soap_register_plugin | ( | struct soap * | soap,
|  | int(* | fcreate )(struct soap *, struct soap_plugin *, void *) )

Register a plugin.

This function registers the specified plugin with the specified engine's context. The fcreate parameter is defined by the plugin library as a plugin registration function that when called initializes the plugin state. Returns #SOAP_OK or a soap_status error code such as #SOAP_PLUGIN_ERROR.

See also
  soap_register_plugin_arg, http_get, http_post, logging.

Returns
  #SOAP_OK or a soap_status error code

Parameters

  soap | soap context
  fcreate | plugin registration function

## ◆ soap_register_plugin_arg()

int soap_register_plugin_arg | ( | struct soap * | soap,
|  | int(* | fcreate )(struct soap *, struct soap_plugin *, void *),
|  | void * | arg )

Register a plugin with an argument.

This function registers the specified plugin with the specified engine's context. The fcreate parameter is defined by the plugin library as a plugin registration function that when called initializes the plugin state. The argument arg is passed to the plugin registration function. Returns #SOAP_OK or a soap_status error code such as #SOAP_PLUGIN_ERROR.

See also
  soap_register_plugin, http_get, http_post, logging.

Returns
  #SOAP_OK or a soap_status error code

Parameters

  soap | soap context
  fcreate | plugin registration function
  arg | argument passed to the plugin registration function